Bug 722807 - Review Request: python-bottle - Fast and simple WSGI-framework for small web-applications
Summary: Review Request: python-bottle - Fast and simple WSGI-framework for small web-...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-18 02:56 UTC by Rahul Sundaram
Modified: 2015-05-13 16:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-18 11:16:26 UTC
Type: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2011-07-18 02:56:20 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/python-bottle.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/python-bottle-0.9.5-1.fc15.src.rpm
Description: 
Bottle is a fast and simple micro-framework for small web-applications. 
It offers request dispatching (Routes) with url parameter support, Templates, 
a built-in HTTP Server and adapters for many third party WSGI/HTTP-server and 
template engines. All in a single file and with no dependencies other than the 
Python Standard Library.

Comment 1 Parag AN(पराग) 2011-07-18 04:14:11 UTC
Review:
+ koji build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=3206126
+ rpmlint output is
python-bottle.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
python-bottle.src: W: spelling-error %description -l en_US url -> URL, curl, purl
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

+ source is verified as (sha1sum)
c54e9f4d1ccf2c4585acd1b52c67f66b89efd47d  bottle-0.9.5.tar.gz
c54e9f4d1ccf2c4585acd1b52c67f66b89efd47d  ../SOURCES/bottle-0.9.5.tar.gz

+ follows python packaging guidelines
APPROVED.

Comment 2 Rahul Sundaram 2011-07-18 04:25:08 UTC
Thanks Parag for the quick review

New Package SCM Request
=======================
Package Name: python-bottle
Short Description: Fast and simple WSGI-framework for small web-applications
Owners: sundaram
Branches: 
InitialCC:

Comment 3 Gwyn Ciesla 2011-07-18 04:52:14 UTC
Git done (by process-git-requests).

Comment 4 Michel Samia 2015-02-20 12:33:08 UTC
Package Change Request
======================
Package Name: python-bottle
New Branches: el6
Owners: stardust85
InitialCC: 

Hi, Rahul Sundaram agreed that I can maintain el6 branch for his package. So please create the branch.

Thanks,
Michel

Comment 5 Gwyn Ciesla 2015-02-20 13:52:14 UTC
Git done (by process-git-requests).

Comment 6 Michel Samia 2015-05-13 09:29:48 UTC
Package Change Request
======================
Package Name: python-bottle
New Branches: epel7
Owners: stardust85
InitialCC: msuchy@redhat.com,ondrejj@salstar.sk

To fix bug #1221002

Comment 7 Gwyn Ciesla 2015-05-13 10:15:57 UTC
Git done (by process-git-requests).

Comment 8 Michel Samia 2015-05-13 11:38:47 UTC
I still don't see it here https://admin.fedoraproject.org/pkgdb/package/python-bottle/

Comment 9 Gwyn Ciesla 2015-05-13 16:46:57 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.